Bug 42731 - Anaconda dies when trying to upgrade from 7.0 to 7.1
Summary: Anaconda dies when trying to upgrade from 7.0 to 7.1
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Matt Wilson
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-29 18:43 UTC by Steven W. Orr
Modified: 2007-04-18 16:33 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-04 17:17:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anacdump.txt (30.29 KB, text/plain)
2001-06-03 19:56 UTC, Aleksey Nogin
no flags Details

Description Steven W. Orr 2001-05-29 18:43:24 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.7 [en] (X11; I; SunOS 5.6 sun4u)

Description of problem:
I insert the install disk and tell it that I want to do an upgrade. It will
complain that two of my partitions are not mountable (because they are
Reiser) but those partitions are not for the OS. They are /home plus an
extra partition. Then anaconda analyses which rpms to update and eventually
dies.

How reproducible:
Always

Steps to Reproduce:
1.Insert install disk 1 for 7.1 and boot.
2.Select update.
3.
	

Actual Results:  Traceback (innermost last):
  File "/usr/bin/anaconda", line 520, in ?ntf.run(todo, test = test)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/gui.py", line 391, in
runself.icw.run ()
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/gui.py", line 879, in
runmainloop ()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2554, in
mainloop_gtk.gtk_main()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 125, in __call__ret
=
apply(self.func, a)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/gui.py", line 500, in
nextClicked    self.setScreen (self.currentScreen, self.nextClicked)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/gui.py", line 610, in
setScreen 
new_screen = screen.getScreen ()
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/iw/upgrade_swap_gui.py",
line
93, in getScreen
    self.todo.upgradeFindPackages ()
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/todo.py", line 1304, in
upgradeFindPackages   deps = self.verifyDeps ()
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/todo.py", line 1110, in
verifyDeps    installed = ("", h[rpm.RPMTAG_VERSION],
NameError: h

Local variables in innermost frame:
header: <header object at 86767a0>
name: licq
needed: ('', '1.6', '')
win: <gui.WaitWindow instance at 8848838>
release: 3
sense: 1
reqversion: 1.6
conflicts: 0
flags: 2
version: 1.0.2
p: gtk+-devel


Expected Results:  The install should have succeeded.

Additional info:

Computer is a scsi disk with a buslogic controller.

Comment 1 Matt Wilson 2001-05-29 18:50:20 UTC
Please download http://people.redhat.com/msw/depcheck-update.img and write it to
a blank floppy disk with "dd if=depcheck-update.img of=/dev/fd0 bs=72k".  Insert
your boot disk or CD-ROM and type "linux updates" at the boot prompt.  You will
be prompted to insert the disk.  After the update has been loaded you may
proceed normally through the upgrade process.

Please report if this fix works for you.


Comment 2 Aleksey Nogin 2001-06-03 19:55:46 UTC
I see the same error when trying to upgrade from RH5.2 to RH7.1 in both GUI and
text modes. I'll attach the anacdump.txt file in a second.

I will try msw's workaround later today.

Comment 3 Aleksey Nogin 2001-06-03 19:56:34 UTC
Created attachment 20194 [details]
anacdump.txt

Comment 4 Aleksey Nogin 2001-06-03 23:01:26 UTC
http://people.redhat.com/msw/depcheck-update.img solves the problem for me.

Comment 5 Brent Fox 2001-06-04 17:17:42 UTC
Ok...good.  Glad it works.


Note You need to log in before you can comment on or make changes to this bug.